For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
  • METAMASK Wrapper API
    • Overview
    • GETBuy Order by ID
    • GETSell Order by ID
    • GETBuy Orders
    • GETSell Orders
    • GETBuy Widget
    • GETSell Widget
    • GETBuy Quote
    • GETSell Quote
    • GETBuy Configuration
    • GETSell Configuration
Dashboard
LogoLogo

Sell Order by ID

||View as Markdown|
GET
/metamask/v1/sell-orders/:orderId
GET
/metamask/v1/sell-orders/:orderId
$curl https://api-stg.transak.com/metamask/v1/sell-orders/ \
> -H "x-api-key: " \
> -H "x-access-token: "
1{
2 "id": "5f500154-a1ff-42fc-a8f5-d298145ed49f",
3 "customId": null,
4 "link": "https://global.transak.com/user/order/5f500154-a1ff-42fc-a8f5-d298145ed49f",
5 "crypto": null,
6 "fiatAmountOut": null,
7 "fiatAmountInUsd": 449.88,
8 "cryptoAmountIn": 450,
9 "fiat": "EUR",
10 "payment": "debit-credit-card",
11 "exchangeRate": 1.099881086607477,
12 "processingFees": [
13 {
14 "label": "Transak fee",
15 "fiatAmount": "10.23"
16 }
17 ],
18 "networkFees": [],
19 "partnerFees": [],
20 "region": "fr-rhone",
21 "createdAt": "2025-03-11T23:52:22.049Z",
22 "status": "CANCELLED",
23 "statusCode": "CANCELLED",
24 "providerWalletAddress": "TYfVbcvkYfgkjdycWJg4pmkNXPb1rTMhMD",
25 "partnerAccountId": "Metamask",
26 "orderType": "SELL"
27}
This API provide the details related to the specific Off Ramp order. ![Off Ramp order](https://content.pstmn.io/27035662-cb0b-4689-b7e1-49cb12b0cd90/Q2xlYW5TaG90IDIwMjUtMDMtMTMgYXQgMTIuMjUuMjNAMngucG5n)
Was this page helpful?
Previous

Buy Order by ID

Next

Buy Orders

Built with

This API provide the details related to the specific Off Ramp order.

Off Ramp order

Path parameters

orderIdstringRequired
Transak Order ID

Headers

x-api-keystringRequired
Transak API key. Present in dashboard.transak.com
x-access-tokenstringRequired

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Response

200 - Success

idstring

Response field id.

customIdstring or null

Response field customId.

linkstring

Response field link.

cryptostring or null

Response field crypto.

fiatAmountOutstring or null

Response field fiatAmountOut.

fiatAmountInUsddouble

Response field fiatAmountInUsd.

cryptoAmountIndouble

Response field cryptoAmountIn.

fiatstring

Response field fiat.

paymentstring

Response field payment.

exchangeRatedouble

Response field exchangeRate.

processingFeeslist of objects

Response field processingFees.

networkFeeslist of any

Response field networkFees.

partnerFeeslist of any

Response field partnerFees.

regionstring

Response field region.

createdAtstring

Response field createdAt.

statusstring

Response field status.

statusCodestring

Response field statusCode.

providerWalletAddressstring

Response field providerWalletAddress.

partnerAccountIdstring

Response field partnerAccountId.

orderTypestring

Response field orderType.

Errors

400
Bad Request Error
401
Unauthorized Error